package com.gyee.runeconomy.controller.WindDirection;

import com.alibaba.fastjson.JSONObject;
import com.gyee.runeconomy.dto.result.JsonResult;
import com.gyee.runeconomy.dto.result.ResultCode;
import com.gyee.runeconomy.service.WindDirection.WindDirectionService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.ParseException;

@RestController
@CrossOrigin
@RequestMapping("/winddirecton")
public class WindDirectionController {
    @Resource
    private WindDirectionService windDirectionService;
    /***
     * 风速风向频次玫瑰图
     * @return
     */
    @GetMapping("/roses")
    public JSONObject fsRoses(String wtid,String kssj,String jssj) throws Exception {
        Object o = windDirectionService.fxRoses(wtid, kssj, jssj);
        return JsonResult.successData(ResultCode.SUCCESS, o);
    }
}
